# Class CIM_AssociatedSupplyVoltageSensor
extends CIM_AssociatedSensor

The use of this association is being deprecated in lieu of using AssociatedSensor, since the use of the referenced class VoltageSensor is deprecated. A PowerSupply may have an associated VoltageSensor, monitoring its input voltage. This is described by this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedSensor
|
+--CIM_AssociatedSupplyVoltageSensor

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_AssociatedSensor
Description | string | The use of this association is being deprecated in lieu of using AssociatedSensor, since the use of the referenced class VoltageSensor is deprecated. A PowerSupply may have an associated VoltageSensor, monitoring its input voltage. This is described by this association.
UMLPackagePath | string | CIM::Device::Sensors
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MonitoringRange | uint16 |
Deprecated | string | No value
Description | string | Indicates the PowerSupply's input voltage range measured by the associated sensor. Range 1, 2 or both can be specified using the values 2, 3 or 4, respectively.
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Range 1, Range 2, Both Range 1 and 2

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedSupplyVoltageSensor | CIM_VoltageSensor
Dependent | CIM_AssociatedSupplyVoltageSensor | CIM_PowerSupply

## Class Methods